import React from "react";
import { Button, Col, Container, Image, Row } from "react-bootstrap";
import { useTranslation } from "react-i18next";
import { Link } from "react-router-dom";
import logo from "../assets/logo_unisport.png";

function Home() {
  const { t } = useTranslation(); // i18n
  return (
    <Container className="h-100">
      <Row className="h-100">
        <Col
          xs={{ span: 8, offset: 2 }}
          className="h-100 mt-5 py-5 text-center d-flex flex-column justify-content-between rounded-xl"
        >
          <Image src={logo} fluid className="mb-5" />
          <div>

            <Link to="/book">
              <Button
                variant="primary"
                className="w-100 mb-2 text-uppercase text-secondary border"
              >
                {t("home.buttonBookBoat")}
              </Button>
            </Link>
            <br />
            <Link to="/login">
              <Button
                variant="secondary"
                className="w-100 mb-2 text-uppercase border"
              >
                {t("home.buttonStaffLogin")}
              </Button>
            </Link>
          </div>
        </Col>
      </Row>
    </Container>
  );
}

export default Home;
